Bug 436896 - intel driver causes lockup
intel driver causes lockup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 19:55 EDT by Andreas Gattringer
Modified: 2009-07-14 13:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:34:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (27.79 KB, text/plain)
2008-03-10 19:57 EDT, Andreas Gattringer
no flags Details

  None (edit)
Description Andreas Gattringer 2008-03-10 19:55:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5pre) Gecko/2008030623 Fedora/3.0b5pre-0.beta4.35.nightly20080306.fc9 Minefield/3.0b5pre

Description of problem:
On my macbook with integrated Intel graphics (see lspci output below) starting X with the "intel" driver (or without an existing xorg.conf file) causes a lockup of the X server after a short time, usually after the first click on a menu bar or trying to expand a treeview in system-config-display.


Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.2.1-10.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. for example, start X with startx from runlevel 3
2. wait and click around on some ui elements
3. server lockup

Actual Results:
The notebook remains in an unresponsive state, garbled graphics, keyboard shortcuts to switch VT not working, mouse pointer frozen.

Expected Results:


Additional info:
installed xorg-* rpms:
xorg-x11-apps-7.3-2.fc9.i386
xorg-x11-drv-evdev-1.99.1-0.1.fc9.i386
xorg-x11-drv-i810-2.2.1-10.fc9.i386
xorg-x11-drv-keyboard-1.2.2-4.fc9.i386
xorg-x11-drv-mouse-1.2.3-4.fc9.i386
xorg-x11-drv-vesa-1.3.0-13.20071113.fc9.i386
xorg-x11-drv-void-1.1.1-9.fc9.i386
xorg-x11-filesystem-7.3-1.fc9.noarch
xorg-x11-proto-devel-7.3-8.fc9.noarch
xorg-x11-server-common-1.4.99.901-1.20080307.fc9.i386
xorg-x11-server-utils-7.3-3.fc9.i386
xorg-x11-server-Xorg-1.4.99.901-1.20080307.fc9.i386
xorg-x11-utils-7.3-2.fc9.i386
xorg-x11-xauth-1.0.2-4.fc9.i386
xorg-x11-xinit-1.0.7-5.fc9.i386
xorg-x11-xkb-utils-7.2-4.fc9.i386

partial output from lscpi:
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

relevant lines from dmesg:
=============================================================================
BUG kmalloc-32 (Tainted: P        ): Object already free
-----------------------------------------------------------------------------

INFO: Allocated in drm_addmap_core+0x29/0x4bc [drm] age=45809 cpu=0 pid=2797
INFO: Freed in drm_rmmap_locked+0x140/0x14a [drm] age=144 cpu=1 pid=2797
INFO: Slab 0xc1b33bb0 used=45 fp=0xf335a9b0 flags=0x40000083
INFO: Object 0xf335a4b0 @offset=1200 fp=0xf335a8c0

Bytes b4 0xf335a4a0:  44 0a 00 00 50 a5 fc ff 5a 5a 5a 5a 5a 5a 5a 5a D...P���ZZZZZZZZ
  Object 0xf335a4b0:  6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b kkkkkkkkkkkkkkkk
  Object 0xf335a4c0:  6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5 kkkkkkkkkkkkkkk�
 Redzone 0xf335a4d0:  bb bb bb bb                                     ����            
 Padding 0xf335a4f8:  5a 5a 5a 5a 5a 5a 5a 5a                         ZZZZZZZZ        
Pid: 2797, comm: X Tainted: P         2.6.25-0.101.rc4.git3.fc9 #1
 [<c0483457>] print_trailer+0x111/0x119
 [<c0483523>] object_err+0x20/0x2a
 [<c0484991>] __slab_free+0x178/0x265
 [<c0484c5b>] kfree+0xb3/0xec
 [<f90e51a6>] ? drm_vm_shm_close+0x181/0x191 [drm]
 [<f90e51a6>] ? drm_vm_shm_close+0x181/0x191 [drm]
 [<f90e51a6>] drm_vm_shm_close+0x181/0x191 [drm]
 [<c0476695>] ? remove_vma+0x48/0x4e
 [<c047667d>] remove_vma+0x30/0x4e
 [<c047675b>] exit_mmap+0xc0/0xdb
 [<c0426723>] mmput+0x3a/0x82
 [<c0429fc3>] exit_mm+0xe1/0xe7
 [<c042b6f5>] do_exit+0x1fc/0x635
 [<c042bb94>] do_group_exit+0x66/0x7d
 [<c0433daa>] get_signal_to_deliver+0x2ba/0x2e0
 [<c0404f5c>] do_notify_resume+0x9b/0x776
 [<c0638ed6>] ? _read_unlock+0x1d/0x20
 [<c0405d85>] ? restore_nocheck+0x12/0x15
 [<c04311bf>] ? sigprocmask+0xba/0xc1
 [<c045ed8f>] ? audit_syscall_entry+0xf9/0x123
 [<c040b57f>] ? do_syscall_trace+0x138/0x17f
 [<c040b4b0>] ? do_syscall_trace+0x69/0x17f
 [<c0405e3e>] work_notifysig+0x13/0x19
 =======================
FIX kmalloc-32: Object at 0xf335a4b0 not freed
Comment 1 Andreas Gattringer 2008-03-10 19:57:38 EDT
Created attachment 297537 [details]
Xorg.0.log
Comment 2 Bug Zapper 2008-05-14 01:55:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Philip Heron 2008-06-06 03:54:20 EDT
Asus EEE PC 900, Fedora 9 i386 with latest updates - also seeing random hard
crashes with the Intel driver. Possibly the same bug?

lspci:

# lspci | grep -e Graphics
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 04)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express
Graphics Controller (rev 04)

Adding the "NoAccel" option to xorg.conf makes the machine stable again, but
video playback is almost impossible.
Comment 4 Bug Zapper 2009-06-09 19:43:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:34:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.